<template>
  <NuxtLink
    class="text-center text-fuchsia-500 transition-colors hover:text-fuchsia-700"
    :to="props.to"
  >
    <slot />
  </NuxtLink>
</template>
<script setup lang="ts">
interface Props {
  to: string;
}

const props = withDefaults(defineProps<Props>(), {
  to: '/',
});
</script>
